petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSPseudoSetTimeStepIncrement

Sets the scaling increment applied to dt when using the TSPseudoTimeStepDefault() routine.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetTimeStepIncrement(TS ts,PetscReal inc)

Logically Collective on TS

### Input Parameters

| ts | - the timestep context
| inc | - the scaling factor >= 1.0

### Options Database Key

-ts_pseudo_increment <increment> -

### Keywords

timestep, pseudo, set, increment

### See Also

TSPseudoSetTimeStep(), TSPseudoTimeStepDefault()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex42.c.html